turretsCollection = {}
do
	local increaseHeight = 0
	
	local owners = {
		key = "owners",
		value = {
			--[[
				Fill here in the owners of the turrets:
			]]
			--[[
				["<accountName1>"] = true,
				["<accountName2>"] = true,
			]]
		}
	}
	
	turretsCollection[#turretsCollection + 1] = turrets:create("anti-air", 354.41541, 2028.496, 22.5598 + increaseHeight, 
		{
			owners
		}
	)

	turretsCollection[#turretsCollection + 1] = turrets:create("anti-air", 188.23019, 2081.6467, 22.5796 + increaseHeight,
		{
			owners
		}
	)

	turretsCollection[#turretsCollection + 1] = turrets:create("anti-air", 237.6794, 1696.8842, 22.5652 + increaseHeight,
		{
			owners
		}
	)

	turretsCollection[#turretsCollection + 1] = turrets:create("anti-air", 15.6171, 1719.176, 22.5598 + increaseHeight,
		{
			owners
		}
	)
end



addEventHandler ( "onResourceStart", resourceRoot, 
function () 
	local easterEggEnabled = false
	local markerIn = getElementByID("teleport-to-secret-spot")
	if markerIn then
		addEventHandler("onMarkerHit", markerIn, function (player, matchingDimension) 
			if matchingDimension and getElementType(player) == "player" then
				
				setElementPosition(player, 251, 1869, -31.4513)
				setPedWearingJetpack ( player, true )
				
				outputChatBox("Easter egg enabled!", player, 0, 217, 0)
				
				if not easterEggEnabled then
					easterEggEnabled = true
					if turretsCollection then
						for i=1, #turretsCollection do
							turretsCollection[i].projectileModel = 16442
							turretsCollection[i].projectileExtraProperties.visualElementOrientation = {y= 180, z=90}
						end
					end
				end
			end
		end, false)
	end
	
	local markerOut = getElementByID("teleport-from-secret-spot")
	if markerOut then
		addEventHandler("onMarkerHit", markerOut, 
		function (player, matchingDimension) 
			if matchingDimension and getElementType(player) == "player" then
				setElementPosition(player, 267.63327, 1883.25671, -30.09375)
				setPedWearingJetpack ( player, false )
			end
		end, false)
	end
end, false )